Bug 1266618 - ascii 3.8 is broken
ascii 3.8 is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ascii (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Francisco Javier Tsao Santín
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 17:11 EDT by pkoz
Modified: 2016-10-03 04:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: ascii-3.15-1.fc23 ascii-3.15-1.fc24 ascii-3.15-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 16:20:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pkoz 2015-09-25 17:11:29 EDT
Description of problem:
ascii -o outputs garbage when ascii 3.8 is used.


Version-Release number of selected component (if applicable):
ascii.x86_64  3.8-8.fc22


How reproducible:
always


Steps to Reproduce:
1. run ascii -o
2.
3.


Actual results:
    0 NUL    20 DLE    40      60 0   100 @   120 P   140 `   160 p 
    1 SOH    21 DC1    41 !    61 1   101 A   121 Q   141 a   161 q 
    2 STX    22 DC2    42 "    62 2   102 B   122 R   142 b   162 r 
    3 ETX    23 DC3    43 #    63 3   103 C   123 S   143 c   163 s 
    4 EOT    24 DC4    44 $    64 4   104 D   124 T   144 d   164 t 
    5 ENQ    25 NAK    45 %    65 5   105 E   125 U   145 e   165 u 
    6 ACK    26 SYN    46 &    66 6   106 F   126 V   146 f   166 v 
    7 BEL    27 ETB    47 '    67 7   107 G   127 W   147 g   167 w 
   10 BS     30 CAN    50 (    70 8   110 H   130 X   150 h   170 x 
   11 HTTAB     31 EM     51 )    71 9   111 I   131 Y   151 i   171 y 
   12 LFNL    32 SUB    52 *    72 :   112 J   132 Z   152 j   172 z 
   13 VT     33 ESC    53 +    73 ;   113 K   133 [Left Square Bracket    153 k   173 {Left Curly Bracket 
   14 FF     34 FS     54 ,    74 <   114 L   134 \   154 l   174 |Vertical Line  
   15 CR     35 GS     55 -    75 =   115 M   135 ]   155 m   175 }Right Curly Bracket  
   16 SO     36 RS     56 .    76 >   116 N   136 ^   156 n   176 ~ 
   17 SI     37 US     57 /    77 ?   117 O   137 _   157 o   177 DEL 


Expected results:
    0 NUL    20 DLE    40      60 0   100 @   120 P   140 `   160 p 
    1 SOH    21 DC1    41 !    61 1   101 A   121 Q   141 a   161 q 
    2 STX    22 DC2    42 "    62 2   102 B   122 R   142 b   162 r 
    3 ETX    23 DC3    43 #    63 3   103 C   123 S   143 c   163 s 
    4 EOT    24 DC4    44 $    64 4   104 D   124 T   144 d   164 t 
    5 ENQ    25 NAK    45 %    65 5   105 E   125 U   145 e   165 u 
    6 ACK    26 SYN    46 &    66 6   106 F   126 V   146 f   166 v 
    7 BEL    27 ETB    47 '    67 7   107 G   127 W   147 g   167 w 
   10 BS     30 CAN    50 (    70 8   110 H   130 X   150 h   170 x 
   11 HT     31 EM     51 )    71 9   111 I   131 Y   151 i   171 y 
   12 LF     32 SUB    52 *    72 :   112 J   132 Z   152 j   172 z 
   13 VT     33 ESC    53 +    73 ;   113 K   133 [   153 k   173 { 
   14 FF     34 FS     54 ,    74 <   114 L   134 \   154 l   174 | 
   15 CR     35 GS     55 -    75 =   115 M   135 ]   155 m   175 } 
   16 SO     36 RS     56 .    76 >   116 N   136 ^   156 n   176 ~ 
   17 SI     37 US     57 /    77 ?   117 O   137 _   157 o   177 DEL 


Additional info:
The latest ascii 3.15 from http://www.catb.org/~esr/ascii output is as expected.
Comment 1 Fedora End Of Life 2016-07-19 14:01:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 pkoz 2016-09-13 14:58:37 EDT
Fedora 24 still uses the same flawed 3,8 version.
Comment 3 Fedora Update System 2016-09-17 10:59:28 EDT
ascii-3.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b993a64b2
Comment 4 Fedora Update System 2016-09-17 10:59:40 EDT
ascii-3.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aab71f11c3
Comment 5 Fedora Update System 2016-09-17 10:59:47 EDT
ascii-3.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e497788beb
Comment 6 Fedora Update System 2016-09-18 02:17:25 EDT
ascii-3.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b993a64b2
Comment 7 Fedora Update System 2016-09-18 02:51:16 EDT
ascii-3.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e497788beb
Comment 8 Fedora Update System 2016-09-18 07:20:28 EDT
ascii-3.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aab71f11c3
Comment 9 Fedora Update System 2016-09-21 16:20:05 EDT
ascii-3.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-09-21 20:22:02 EDT
ascii-3.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-10-03 04:47:17 EDT
ascii-3.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.